libetonyek::KEY1ParserState Class Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
libetonyek::KEY1ParserState Class Reference

`#include <KEY1ParserState.h>`

Inheritance diagram for libetonyek::KEY1ParserState:

## Public Member Functions
| KEY1ParserState (KEY1Parser &parser, KEYCollector &collector, KEY1Dictionary &dict)
KEY1Dictionary & | getDictionary ()
KEYCollector & | getCollector ()
void | pushIsPrototype (bool isPrototype)
void | popIsPrototype ()
void | pushIsMasterSlide (bool isMasterSlide)
void | popIsMasterSlide ()
void | openBullets ()
void | openBullet (KEY1Bullet const &bullet)
void | closeBullet ()
void | closeBullets ()
Public Member Functions inherited from libetonyek::IWORKXMLParserState
| IWORKXMLParserState (IWORKParser &parser, IWORKCollector &collector, IWORKDictionary &dict)
IWORKParser & | getParser ()
IWORKDictionary & | getDictionary ()
IWORKCollector & | getCollector () const
const IWORKTokenizer & | getTokenizer () const
IWORKStylePtr_t | getStyleByName (const char *const name, const IWORKStyleMap_t &mainMap, bool mustExist=true) const

## Public Attributes
bool | m_isPrototype
bool | m_isMasterSlide
Public Attributes inherited from libetonyek::IWORKXMLParserState
IWORKTableDataPtr_t | m_tableData
IWORKStylesheetPtr_t | m_stylesheet
bool | m_enableCollector
IWORKFormatNameMap | m_formatNameMap
IWORKTableNameMapPtr_t | m_tableNameMap
IWORKLanguageManager | m_langManager
std::shared_ptr< IWORKTable > | m_currentTable
std::shared_ptr< IWORKText > | m_currentText

## Private Member Functions
| KEY1ParserState (const KEY1ParserState &)
KEY1ParserState & | operator= (const KEY1ParserState &)
void | storeCurrentPlaceholder ()

## Private Attributes
KEY1Dictionary & | m_dict
KEYCollector & | m_collector
std::deque< bool > | m_prototypes
std::deque< bool > | m_masterSlides
bool | m_isBulletOpened
bool | m_isBulletsOpened
bool | m_isBodyContentOpened
bool | m_isTitleContentOpened
bool | m_bodyContentFound
bool | m_titleContentFound

## Constructor & Destructor Documentation

## ◆ KEY1ParserState() [1/2]

libetonyek::KEY1ParserState::KEY1ParserState | ( | const KEY1ParserState & |  | ) |
| private

Referenced by KEY1ParserState(), and operator=().

## ◆ KEY1ParserState() [2/2]

libetonyek::KEY1ParserState::KEY1ParserState | ( | KEY1Parser & | parser,
|  | KEYCollector & | collector,
|  | KEY1Dictionary & | dict )

## Member Function Documentation

## ◆ closeBullet()

void libetonyek::KEY1ParserState::closeBullet | ( |  | ) |

## ◆ closeBullets()

void libetonyek::KEY1ParserState::closeBullets | ( |  | ) |

## ◆ getCollector()

KEYCollector & libetonyek::KEY1ParserState::getCollector | ( |  | ) |

## ◆ getDictionary()

KEY1Dictionary & libetonyek::KEY1ParserState::getDictionary | ( |  | ) |

Referenced by storeCurrentPlaceholder().

## ◆ openBullet()

void libetonyek::KEY1ParserState::openBullet | ( | KEY1Bullet const & | bullet | ) |

## ◆ openBullets()

void libetonyek::KEY1ParserState::openBullets | ( |  | ) |

## ◆ operator=()

KEY1ParserState & libetonyek::KEY1ParserState::operator= | ( | const KEY1ParserState & |  | ) |
| private

## ◆ popIsMasterSlide()

void libetonyek::KEY1ParserState::popIsMasterSlide | ( |  | ) |

## ◆ popIsPrototype()

void libetonyek::KEY1ParserState::popIsPrototype | ( |  | ) |

## ◆ pushIsMasterSlide()

void libetonyek::KEY1ParserState::pushIsMasterSlide | ( | bool | isMasterSlide | ) |

## ◆ pushIsPrototype()

void libetonyek::KEY1ParserState::pushIsPrototype | ( | bool | isPrototype | ) |

## ◆ storeCurrentPlaceholder()

void libetonyek::KEY1ParserState::storeCurrentPlaceholder | ( |  | ) |
| private

Referenced by closeBullets(), and openBullet().

## Member Data Documentation

## ◆ m_bodyContentFound

bool libetonyek::KEY1ParserState::m_bodyContentFound
| private

Referenced by KEY1ParserState(), and openBullet().

## ◆ m_collector

KEYCollector& libetonyek::KEY1ParserState::m_collector
| private

Referenced by getCollector(), KEY1ParserState(), and openBullet().

## ◆ m_dict

KEY1Dictionary& libetonyek::KEY1ParserState::m_dict
| private

Referenced by getDictionary(), and KEY1ParserState().

## ◆ m_isBodyContentOpened

bool libetonyek::KEY1ParserState::m_isBodyContentOpened
| private

Referenced by closeBullets(), KEY1ParserState(), openBullet(), and storeCurrentPlaceholder().

## ◆ m_isBulletOpened

bool libetonyek::KEY1ParserState::m_isBulletOpened
| private

Referenced by closeBullet(), KEY1ParserState(), and openBullet().

## ◆ m_isBulletsOpened

bool libetonyek::KEY1ParserState::m_isBulletsOpened
| private

Referenced by closeBullets(), KEY1ParserState(), and openBullets().

## ◆ m_isMasterSlide

bool libetonyek::KEY1ParserState::m_isMasterSlide

Referenced by closeBullet(), KEY1ParserState(), openBullet(), popIsMasterSlide(), and pushIsMasterSlide().

## ◆ m_isPrototype

bool libetonyek::KEY1ParserState::m_isPrototype

Referenced by closeBullet(), KEY1ParserState(), openBullet(), popIsPrototype(), and pushIsPrototype().

## ◆ m_isTitleContentOpened

bool libetonyek::KEY1ParserState::m_isTitleContentOpened
| private

Referenced by closeBullets(), KEY1ParserState(), openBullet(), and storeCurrentPlaceholder().

## ◆ m_masterSlides

std::deque<bool> libetonyek::KEY1ParserState::m_masterSlides
| private

Referenced by KEY1ParserState(), popIsMasterSlide(), and pushIsMasterSlide().

## ◆ m_prototypes

std::deque<bool> libetonyek::KEY1ParserState::m_prototypes
| private

Referenced by KEY1ParserState(), popIsPrototype(), and pushIsPrototype().

## ◆ m_titleContentFound

bool libetonyek::KEY1ParserState::m_titleContentFound
| private

Referenced by KEY1ParserState(), and openBullet().

The documentation for this class was generated from the following files:

- KEY1ParserState.h
- KEY1ParserState.cpp